Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 690494 - sys-fs/lvm2-2.02.184-r4 delayed boot with multiple "WARNING: Device /dev/sdaX not initialized in udev database even after waiting 10000000 microseconds"
Summary: sys-fs/lvm2-2.02.184-r4 delayed boot with multiple "WARNING: Device /dev/sdaX...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-23 09:22 UTC by Norman Back
Modified: 2019-11-30 08:43 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
console output @ boot (boot_systemd-243-r2_lvm2-2.02.186-r2.txt,6.37 KB, text/plain)
2019-11-29 09:10 UTC, Evert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Norman Back 2019-07-23 09:22:28 UTC
sys-fs/lvm2-2.02.184-r4 delayed boot with multiple "WARNING: Device /dev/sdaX not initialized in udev database even after waiting 10000000 microseconds"
Works correctly with sys-fs/lvm2-2.02.145-r2

The warnings repeat for about 3 minutes and then the boot continues normally.



emerge --info
Portage 2.3.66 (python 2.7.15-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-8.3.0, glibc-2.29-r2, 5.1.18-gentoo-lvm x86_64)
=================================================================
System uname: Linux-5.1.18-gentoo-lvm-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-2.6
KiB Mem:    16406864 total,  13678024 free
KiB Swap:   46137328 total,  46137328 free
Timestamp of repository gentoo: Sun, 21 Jul 2019 01:15:01 +0000
Head commit of repository gentoo: 664ec5dec05e7e808b9a633c372b85d24ea153d1
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
distcc 3.3.2 x86_64-pc-linux-gnu [disabled]
ccache version 3.6 [disabled]
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/ccache:          3.6::gentoo
dev-util/cmake:           3.14.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://datastoreone/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ikelos
    location: /var/lib/layman/ikelos
    masters: gentoo
    priority: 50

vmware
    location: /var/lib/layman/vmware
    masters: gentoo
    priority: 50

Installed sets: @kernels
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -mtune=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -mtune=amdfam10 -O2 -pipe"
DISTDIR="/mnt/portage.autofs/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y -j9 --load-average=8 --quiet-build=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.qubenet.net/mirror/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirror.qubenet.net/mirror/gentoo/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ http://mirror.leaseweb.com/gentoo/ http://gentoo.modulix.net/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://mirror.bytemark.co.uk/gentoo/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB"
MAKEOPTS="-j8 --load-average=9"
PKGDIR="/mnt/portage.autofs/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git --exclude=lost+found/"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac accessibility acl acpi activities alsa amarok amd64 amr authdaemond bash-completion berkdb bluetooth bluray branding bzip2 cairo caps cdda cdr cli consolekit crypt cups cxx dbus declarative dri dts dv dvd dvdr dvdread emboss encode exif fam flac fortran gdbm gif glamor gpm gtk iconv icu ieee1394 ipv6 jpeg kde kipi kwallet lcms ldap libnotify libtirpc lm_sensors lock mad mmx mmxext mng mp3 mp4 mpeg multilib mysql ncurses network nls nptl ofx ogg opengl openmp oss pam pango pcre pdf phonon plasma png policykit popcnt ppds pulseaudio qml qt3 qt5 readline samba sasl sdl seccomp semantic-desktop session spell split-usr sse sse2 sse3 sse4a ssl startup-notification svg tcpd thunar tiff truetype udev udisks uk_bleb uk_rt unicode upower usb v4l v4l2 vdpau vorbis widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias cgi cgid slotmem_shm unixd access_compat authz_core socache_shmcb authn_core" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 efi-64 pc multiboot mount" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby24 ruby25" SANE_BACKENDS="hp5590 hp net abaton agfafocus apple artec artec_eplus48u as6e avision bh canon canon630u canon_dr canon_pp cardscan coolscan coolscan2 coolscan3 dc210 dc240 dc25 dell1600n_net dmc epjitsu epson epson2 fujitsu genesys gt68xx hp3500 hp3900 hp4200 hp5400 hpljm1005 hpsj5s hs2p ibm kodak kvs1025 kvs20xx leo lexmark ma1509 magicolor matsushita microtek microtek2 mustek mustek_pp mustek_usb nec niash p5 pie pixma plustek plustek_pp pnm qcam ricoh rts8891 s9036 sceptre sharp sm3600 sm3840 snapscan sp15c st400 stv680 tamarack teco1 teco2 teco3 test u12 umax umax1220u umax_pp xerox_mfp" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Norman Back 2019-07-24 05:40:08 UTC
Booting via initramfs created by sys-kernel/dracut-048-r1 with command
dracut --host-only --no-hostonly-cmdline --force /boot/initramfs-5.1.18-gentoo.img 5.1.18-gentoo

kernel command line:
root=/dev/mapper/sys_ssd1_5-slash vga=845 dolvm console=tty1 rootfstype=ext4 rd.lvm.vg=sys_ssd1_5

Boots without delay with sys-fs/lvm2-2.02.145-r2
Comment 2 Evert 2019-11-09 16:52:52 UTC
confirmed

boot breaks for me on both lvm2-2.02.184-r5 and lvm2-2.02.183
- I do *not* use initrd (simply grub -> kernel -> init)
- I use systemd
- kernel 4.19.82 (doesn't seem kernel related, same on happens on 4.19.69)

[ TIME ] Timed out waiting for device /dev/disk/by-label/data.
[DEPEND] Dependency failed for /data.
[DEPEND] Dependency failed for /root.
[DEPEND] Dependency failed for Local File Systems.
[DEPEND] Dependency failed for /home.
[DEPEND] Dependency failed for File System Check on /dev/disk/by-label/data.
[  OK  ] Started Emergency Shell.
[  OK  ] Reached target Emergency Mode.
You are in emergency mode. After logging in, type "journalctl -xb" to view
system logs, "systemctl reboot" to reboot, "systemctl default" or "exit"
to boot into default mode.
Give root password for maintenance
(or press Control-D to continue):

So let's check ...
# time lvs
  WARNING: Device /dev/sdb16 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb17 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb18 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb19 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb10 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb11 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb12 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb13 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb14 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb15 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb16 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb17 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb18 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb19 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb10 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb11 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb12 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb13 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb14 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb15 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb16 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb17 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb18 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb19 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb10 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb11 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb12 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb13 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb14 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb15 not initialized in udev database even after waiting 10000000 microseconds.
device-mapper: ioctl: 4.39.0-ioctl (2018-04-03) initialised: dm-devel@redhat.com
  LV   VG   Attr       LSize  Pool Origin Data%  Meta%  Move Log Cpy%Sync Convert
  data data -wi------- <2.00t

real    5m0.590s
user    0m0.130s
sys     0m0.130s

# time pvs
  WARNING: Device /dev/sdb16 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb17 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb18 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb19 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb10 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb11 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb12 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb13 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb14 not initialized in udev database even after waiting 10000000 microseconds.
  WARNING: Device /dev/sdb15 not initialized in udev database even after waiting 10000000 microseconds.
  PV         VG   Fmt  Attr PSize    PFree
  /dev/sdb10 data lvm2 a--  <256.00g       0
  /dev/sdb11 data lvm2 a--  <256.00g       0
  /dev/sdb12 data lvm2 a--  <256.00g       0
  /dev/sdb13 data lvm2 a--  <256.00g       0
  /dev/sdb14 data lvm2 a--  <256.00g       0
  /dev/sdb15 data lvm2 a--  <256.00g       0
  /dev/sdb16 data lvm2 a--  <256.00g       0
  /dev/sdb17 data lvm2 a--  <256.00g       0
  /dev/sdb18 data lvm2 a--  <256.00g <256.00g
  /dev/sdb19      lvm2 ---   256.00g  256.00g

real    1m40.228s
user    0m0.056s
sys     0m0.047s

After downgrading to lvm2-2.02.145-r2 everything is fine.

My LV is created on 2013-12-25 (according to /etc/lvm/backup/) so I thought maybe a vgconvert would help.
So I disabled use_lvmetad and stopped lvmetad (required for vgconvert) but it seems it already uses the lastest metadata format:
# vgconvert -M2 data
  Volume group "data" already uses format lvm2

My guess is I hit
https://bugzilla.redhat.com/show_bug.cgi?id=1676612#c3
- MD metadata are placed at the end of the disk (current LVM disk-reading code caches/considers only start of the disk)

However it's unclear to me how to solve this. Do I need to backup the data, recreate the pv/vg/lv and restore the data or ...?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2019-11-27 15:53:38 UTC
Does this still happen with lvm2-2.02.186?
Comment 4 Evert 2019-11-28 06:51:02 UTC
I want to test but ...
sys-fs/lvm2-2.02.145-r2 has now been removed from portage. This is the latest version known to work without issue. If things don't work out, I'd like to be able to revert to sys-fs/lvm2-2.02.145-r2 but without that ebuild, that's impossible. This makes testing a huge risk.

Can you please restore sys-fs/lvm2-2.02.145-r2 into portage?
Comment 5 Norman Back 2019-11-28 10:28:55 UTC
lvm2-2.02.186 resolved a similar issue for me see:
https://bugs.gentoo.org/show_bug.cgi?id=701074
Comment 6 Evert 2019-11-28 20:43:38 UTC
So I saved lvm2-2.02.145-r2.ebuild from the pkg db and took the risk. lvm2-2.02.186-r2 does not solve my issue. I needed to revert to lvm2-2.02.145-r2, however files were also missing in the files/ dir. Luckily I found them somewhere on the internet. I restored
- lvm2-2.02.145-r2.ebuild
- files/lvm.rc-2.02.116-r6
- files/lvm2-2.02.129-static-pkgconfig-libs.patch
- files/lvm2-2.02.130-pthread-pkgconfig.patch
- files/lvm2-2.02.139-dynamic-static-ldflags.patch
- files/lvm2-2.02.145-mkdev.patch
and was able to revert to lvm2-2.02.145-r2.

Until this issue is solved, can you please restore those files in the gentoo repo?
Note: I use systemd - this uses an alternate udev: /lib/systemd/systemd-udevd
Please let me know how I can help to fix this issue.
Comment 7 Larry the Git Cow gentoo-dev 2019-11-28 22:45:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a7dcaff7c920619ffce4c0195223cbd9db02411

commit 0a7dcaff7c920619ffce4c0195223cbd9db02411
Author:     Robin H. Johnson <robbat2@gentoo.org>
AuthorDate: 2019-11-28 22:43:05 +0000
Commit:     Robin H. Johnson <robbat2@gentoo.org>
CommitDate: 2019-11-28 22:44:35 +0000

    sys-fs/lvm2: partial revert of 2161b3a104c9a5664131b9297766db0538e7464e
    
    Bug 690494 shows that the regression is still not fixed in 2.02.186-r2,
    so 2.02.145-r2 is still required for some users.
    
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=690494
    Package-Manager: Portage-2.3.79, Repoman-2.3.18
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

 sys-fs/lvm2/Manifest                               |   3 +
 .../lvm2-2.02.129-static-pkgconfig-libs.patch      | 102 +++++++++
 .../files/lvm2-2.02.130-pthread-pkgconfig.patch    |  32 +++
 .../lvm2-2.02.139-dynamic-static-ldflags.patch     |  63 +++++
 sys-fs/lvm2/files/lvm2-2.02.145-mkdev.patch        | 127 +++++++++++
 sys-fs/lvm2/lvm2-2.02.145-r2.ebuild                | 254 +++++++++++++++++++++
 6 files changed, 581 insertions(+)
Comment 8 Thomas Deutschmann gentoo-dev Security 2019-11-28 22:57:16 UTC
Please share your udev version with us.
Comment 9 Evert 2019-11-29 09:10:58 UTC
Created attachment 597834 [details]
console output @ boot

udev is implemented in systemd

$ qlist -ISRv udev systemd
acct-group/systemd-coredump-0:0::gentoo
acct-group/systemd-journal-0:0::gentoo
acct-group/systemd-journal-remote-0:0::gentoo
acct-group/systemd-network-0:0::gentoo
acct-group/systemd-resolve-0:0::gentoo
acct-group/systemd-timesync-0:0::gentoo
acct-user/systemd-coredump-0:0::gentoo
acct-user/systemd-journal-remote-0:0::gentoo
acct-user/systemd-network-0:0::gentoo
acct-user/systemd-resolve-0:0::gentoo
acct-user/systemd-timesync-0:0::gentoo
dev-libs/libgudev-233-r1:0::gentoo
sys-apps/gentoo-systemd-integration-7:0::gentoo
sys-apps/systemd-243-r2:0::gentoo
sys-fs/udev-init-scripts-33:0::gentoo
virtual/libgudev-232:0::gentoo
virtual/libudev-232-r3:0::gentoo
virtual/udev-217:0::gentoo

I don't use initrd, so the sequence here is:
grub -> kernel-4.19.86 -> init=/lib/systemd/systemd

At boot time on the console, I also see 9 times segfaults like
udisks-lvm-pv-e[252]: segfault at 0 ip 000055a9671cf28f sp 00007ffc0853bdd0 error 4 in udisks-lvm-pv-export[55a9671cf000+1000]
I have 9 PVs of 256 GiB each (+ one PV of 10 GiB)

Full console output -> see attachment - includes segfaults and waiting
Comment 10 Evert 2019-11-30 07:04:43 UTC
Good news: sys-fs/lvm2-2.02.186-r2 is running fine here too. Solution was an emerge --depclean.
The cause was segfault in udisks-lvm-pv-export. The real solution was removal of sys-fs/udisks-1.0.5-r3:0

# locate udisks-lvm-pv-export
/lib64/udev/udisks-lvm-pv-export
# qfile -Sv udisks-lvm-pv-export
sys-fs/udisks-1.0.5-r3:0: /lib/udev/udisks-lvm-pv-export
# qlist -ISRv udisks
sys-fs/udisks-2.8.4:2::gentoo
sys-fs/udisks-1.0.5-r3:0::gentoo

So the depclean removed udisks-1.0.5-r3 which makes lvm2-2.02.186-r2 happy.
Now, if I remerge udisks-1.0.5-r3 again then it downgrades lvm2 too so obviously there's some dependency there. However, after that, it lets me happily upgrade lvm2 anyway without removing udisks-1.0.5-r3 (in which case the issue is back again).

# emerge -av1 =udisks-1.0.5-r3
These are the packages that would be merged, in order:
Calculating dependencies... done!
[ebuild  N     ] app-admin/killproc-2.13-r1::gentoo  0 KiB
[ebuild     UD ] sys-fs/lvm2-2.02.145-r2::gentoo [2.02.186-r2::gentoo] USE="readline systemd thin udev -device-mapper-only -lvm1% -lvm2create_initrd (-selinux) -static -static-libs (-sanlock%)" 0 KiB
[ebuild  N     ] sys-apps/sg3_utils-1.42::gentoo  USE="-static-libs" 0 KiB
[ebuild  N     ] sys-apps/rescan-scsi-bus-1.57-r1::gentoo  0 KiB
[ebuild  NS    ] sys-fs/udisks-1.0.5-r3:0::gentoo [2.8.4:2::gentoo] USE="lvm* nls -debug -remote-access% (-selinux) (-acl%*) (-elogind%) (-introspection%*) (-systemd%*) (-vdo%)" 0 KiB

Total: 5 packages (1 downgrade, 3 new, 1 in new slot), Size of downloads: 0 KiB

# emerge -av lvm2
These are the packages that would be merged, in order:
Calculating dependencies... done!
[ebuild     U ~] sys-fs/lvm2-2.02.186-r2::gentoo [2.02.145-r2::gentoo] USE="readline systemd thin udev -device-mapper-only -lvm2create_initrd -sanlock% (-selinux) -static -static-libs (-lvm1%)" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB

So IMHO, sys-fs/lvm2-2.02.186-r2 should have a conflict with sys-fs/udisks-1.0.5-r3:0 or something similar.

Btw: again lvm2-2.02.145-r2 did not emerge because files/lvm.rc-2.02.116-r6 was still missing.
Comment 11 Evert 2019-11-30 08:43:44 UTC
More specifically, the issue was:
sys-fs/udisks-1.0.5-r3:0: /lib/udev/rules.d/80-udisks.rules

ENV{ID_FS_TYPE}=="LVM2_member", TEST=="/lib/udev/udisks-lvm-pv-export", IMPORT{program}="udisks-lvm-pv-export $env{ID_FS_UUID}"

Commenting this like with a # also resolves the issue.
Anyway, I don't need udisks-1.0.5-r3 so I removed the package.